package com.kcim.common.enums;

import lombok.Getter;

@Getter
public enum ErrorCodeEnum {
    DATA_NOT_EXIST(500, "数据不存在或已被移除"),
    USER_NOT_EXIST(500, "用户不存在"),
    USER_PASS_FALSE(500, "用户名或密码错误"),
    USER_NOT_LOGIN(401, "用户未登录"),
    NO_PERMISSION(403, "权限不足"),
    RESPONSIBILITY_CODE_EXIST(500, "责任中心代码重复"),
    FILE_UPLOAD_ERROR(500, "文件上传失败"),
    DEPARTMENT_NOT_EXIST(500, "科室代码未传入"),

    ;

    private final Integer code;

    private final String description;

    ErrorCodeEnum(Integer code, String description) {
        this.code = code;
        this.description = description;
    }

}
